#include "stm32g4xx_hal.h"
#include "hal_callback.h"
#include "terminal_usartbridge.h"

// -------------------------------------------------------------------------- //
//                                  UART                                      //
// -------------------------------------------------------------------------- //

/**
  * @brief  Rx Transfer completed callback
  * @param  huart: UART handle
  * @retval None
  */
void UART_RxCpltCallback(UART_HandleTypeDef *huart);    
void HAL_UART_RxCpltCallback(UART_HandleTypeDef *huart)
{
    switch((uint32_t)huart->Instance)
    {
        case USART3_BASE :  // HAL USART Terminal
            HAL_UART_RxCpltCallbackTerminal();
        break;
        
        default : break;
    }    
}

